/*
 *  FBCCluster.h
 *  FrontBase
 *
 *  Created by Svend Bodilsen on 5/21/10.
 *  Copyright 2010 Frontline Software. All rights reserved.
 *
 */

#ifndef FBCClusterDatabaseConnection__H
#define FBCClusterDatabaseConnection__H

#ifndef FBVersion
#define FBVersion 7
#elif FBVersion != 7
#error "The headers for FBCAccess version have been mixed"
#endif

#include <FBCAccess/FBCUniqueId.h>
#include <FBCAccess/FBCMetaData.h>
#include <FBCAccess/FBCDatabaseConnection.h>

#ifdef __cplusplus
extern "C" {
#endif

 FBCMetaData*        fbcdcMemberNames(FBCDatabaseConnection* self);
 int                 fbcdcGetMajorityStatus(FBCDatabaseConnection* self);
 FBCMetaData*        fbcdcSetMajorityStatus(FBCDatabaseConnection* self, int status);
 FBCMetaData*        fbcdcGetReadOnlyStatus(FBCDatabaseConnection* self);
 FBCMetaData*        fbcdcSetReadOnlyStatus(FBCDatabaseConnection* self, int status);
 int                 fbcdcDatabaseID(FBCDatabaseConnection* self, FBCUniqueId databaseID);
 unsigned long long  fbcdcClusterVersion(FBCDatabaseConnection* self);
 void                fbcdcVerifyCommitRights(FBCDatabaseConnection* self);

#ifdef __cplusplus
}
#endif

#endif
